%define pango_version 1.2.0
%define gtk2_version 2.6.0
%define gconf2_version 2.14
%define libgnome_version 2.20.0
%define libgnomeui_version 2.20.0
%define desktop_file_utils_version 0.2.90

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Editor/admin tool for GConf
Name: 		gconf-editor
Version: 	2.20.0
Release: 	2
URL: 		http://www.gnome.org
Source0: 	%{name}-%{version}.tar.bz2
License: 	GNU/GPL
Group: 		Graphical Desktop/GNOME
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

Requires(pre): 	GConf >= %{gconf2_version}
Requires(post): GConf >= %{gconf2_version}
Requires(preun): GConf >= %{gconf2_version}
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

BuildRequires: 	pango-devel >= %{pango_version}
BuildRequires: 	gtk2+-devel >= %{gtk2_version}
BuildRequires: 	GConf-devel >= %{gconf2_version}
BuildRequires: 	libgnome-devel >= %{libgnome_version}
BuildRequires: 	libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: 	desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: 	scrollkeeper
BuildRequires: 	gettext
BuildRequires: 	gnome-doc-utils
BuildRequires: 	perl(XML::Parser)

%description
gconf-editor allows you to browse and modify GConf configuration 
sources.

%prep
%setup -q

%build
%configure --sysconfdir=%_sysconfdir/gnome --localstatedir=/var/lib --disable-scrollkeeper
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# stuff we don't want
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/gconf-editor.schemas > /dev/null || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gconf-editor.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gconf-editor.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_datadir}/icons/hicolor/*/apps/gconf-editor.png
%{_datadir}/pixmaps/gconf-editor
%{_datadir}/applications/*.desktop
%{_datadir}/man/man*/*
%{_sysconfdir}/gnome/gconf/schemas/*.schemas
%{_datadir}/gnome/help/gconf-editor
%{_datadir}/omf/gconf-editor

%changelog
* Sun Apr 27 2008 Christian Wasem <wasem@ccux-linux.de> 2.20.0-2
- changed group package to Graphical Desktop/GNOME
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Thu Mar 29 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Initial release
